Bump debhelper compat level and dependency to 10.
[debian/mimetic.git] / debian / rules
1 #!/usr/bin/make -f
2
3 %:
4         dh $@
5
6 override_dh_auto_build-indep:
7         $(MAKE) -C $(CURDIR)/doc docs
8
9 override_dh_strip:
10         dh_strip --dbgsym-migration='libmimetic0-dbg (<< 0.9.8-3~)'
11
12 override_dh_compress:
13         dh_compress -Xexamples
14
15 override_dh_makeshlibs:
16         # For new symbols when compiled with GCC 7
17         dh_makeshlibs -V'libmimetic0v5 (>= 0.9.8-6~)'